org.omg.CORBA

## Class INVALID_ACTIVITY

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.INVALID_ACTIVITY

- All Implemented Interfaces:
    Serializable

      public final class INVALID_ACTIVITY
      extends SystemException

  The `INVALID_ACTIVITY` system exception may be raised on the Activity or Transaction services' resume methods if a transaction or Activity is resumed in a context different to that from which it was suspended. It is also raised when an attempted invocation is made that is incompatible with the Activity's current state.
  Since:
    J2SE 1.5
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INVALID_ACTIVITY()` Constructs an `INVALID_ACTIVITY` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
    `INVALID_ACTIVITY(int minorCode, CompletionStatus completionStatus)` Constructs an `INVALID_ACTIVITY` exception with the specified minor code and completion status.
    `INVALID_ACTIVITY(String detailMessage)` Constructs an `INVALID_ACTIVITY` exception with the specified message.
    `INVALID_ACTIVITY(String detailMessage, int minorCode, CompletionStatus completionStatus)` Constructs an `INVALID_ACTIVITY` exception with the specified message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### INVALID_ACTIVITY

          public INVALID_ACTIVITY()

      Constructs an `INVALID_ACTIVITY` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

    - #### INVALID_ACTIVITY

          public INVALID_ACTIVITY(String detailMessage)

      Constructs an `INVALID_ACTIVITY` exception with the specified message.
      Parameters:
        `detailMessage` - string containing a detailed message.

    - #### INVALID_ACTIVITY

          public INVALID_ACTIVITY(int minorCode,
                          CompletionStatus completionStatus)

      Constructs an `INVALID_ACTIVITY` exception with the specified minor code and completion status.
      Parameters:
        `minorCode` - minor code.
        `completionStatus` - completion status.

    - #### INVALID_ACTIVITY

          public INVALID_ACTIVITY(String detailMessage,
                          int minorCode,
                          CompletionStatus completionStatus)

      Constructs an `INVALID_ACTIVITY` exception with the specified message, minor code, and completion status.
      Parameters:
        `detailMessage` - string containing a detailed message.
        `minorCode` - minor code.
        `completionStatus` - completion status.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.